<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <com.moji.titlebar.MJTitleBar android:id="@id/mj_title_bar" android:layout_width="fill_parent" android:layout_height="wrap_content" app:mjTbTitleText="@string/appstore_app_detail_title" />
    <RelativeLayout android:orientation="vertical" android:background="@color/common_white_background" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <RelativeLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
            <ListView android:id="@id/app_listview" android:background="@color/common_white" android:layout_width="wrap_content" android:layout_height="wrap_content" />
            <LinearLayout android:orientation="vertical" android:id="@id/buttomLayout" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_alignParentBottom="true">
                <ImageView android:layout_gravity="bottom" android:background="@drawable/liveview_comment_divider_line" android:layout_width="fill_parent" android:layout_height="wrap_content" android:scaleType="fitXY" />
                <RelativeLayout android:id="@id/replyBar" android:background="@drawable/sns_picture_splitter_bg" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="30.0dip">
                    <TextView android:textColor="#ffced0d7" android:id="@id/tv_reply_text" android:paddingLeft="9.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:maxLines="1" android:singleLine="true" android:layout_centerVertical="true" />
                    <ImageButton android:id="@id/btn_reply_cancle" android:background="@drawable/sns_picture_replybar_cancel_selector" android:layout_width="30.0dip" android:layout_height="30.0dip" android:layout_marginRight="4.0dip" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                </RelativeLayout>
                <RelativeLayout android:id="@id/ratingBar" android:background="@drawable/sns_picture_splitter_bg" android:layout_width="fill_parent" android:layout_height="30.0dip">
                    <TextView android:textColor="#ffced0d7" android:id="@id/tv_rating" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="19.0dip" android:text="@string/skin_rating" android:maxLines="1" android:singleLine="true" android:layout_centerVertical="true" />
                    <RatingBar android:id="@id/appstore_icomment_ratingBar" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="20.0dip" android:numStars="5" android:rating="5.0" android:stepSize="1.0" android:layout_toRightOf="@id/tv_rating" android:layout_centerVertical="true" style="@style/ratingbar_middle" />
                    <ImageButton android:id="@id/btn_rating_cancle" android:background="@drawable/sns_picture_replybar_cancel_selector" android:layout_width="30.0dip" android:layout_height="30.0dip" android:layout_marginRight="4.0dip" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                </RelativeLayout>
                <RelativeLayout android:background="@color/common_white" android:layout_width="fill_parent" android:layout_height="wrap_content" android:minHeight="50.0dip">
                    <ImageButton android:id="@id/emoticonBtn" android:background="@drawable/add_emotion" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="10.0dip" android:layout_marginRight="10.0dip" android:layout_centerVertical="true" />
                    <EditText android:textColor="@color/common_black_80" android:textColorHint="@color/common_login_hint" android:gravity="center_vertical" android:id="@id/appstore_detail_edit_comment" android:background="@drawable/sns_picture_reply_textbg" android:layout_width="257.0dip" android:layout_height="wrap_content" android:minHeight="32.0dip" android:maxLines="4" android:ems="3" android:layout_toLeftOf="@id/appstore_detail_send_comment_btn" android:layout_toRightOf="@id/emoticonBtn" android:layout_centerVertical="true" android:inputType="textMultiLine" android:textCursorDrawable="@null" />
                    <Button android:textSize="15.0sp" android:textColor="@color/common_white" android:id="@id/appstore_detail_send_comment_btn" android:background="@drawable/common_btn_green_selector" android:layout_width="60.0dip" android:layout_height="35.0dip" android:layout_marginLeft="8.0dip" android:layout_marginRight="8.0dip" android:text="@string/dialog_send" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                    <FrameLayout android:id="@id/fl_loginbtn" android:padding="0.0dip" android:clickable="false" android:layout_width="fill_parent" android:layout_height="50.0dip">
                        <ImageView android:id="@id/appstore_detail_loginbtn" android:background="@color/common_white" android:padding="0.0dip" android:clickable="true" android:layout_width="fill_parent" android:layout_height="fill_parent" />
                        <TextView android:textSize="15.0dip" android:textColor="@color/common_black_text" android:gravity="center" android:layout_width="fill_parent" android:layout_height="fill_parent" android:text="@string/login_and_comment" />
                    </FrameLayout>
                </RelativeLayout>
                <LinearLayout android:background="@color/common_white_background" android:layout_width="wrap_content" android:layout_height="wrap_content">
                    <fragment android:name="com.moji.emotion.EmotionFragment" android:id="@id/emoticonFragment" android:layout_width="fill_parent" android:layout_height="wrap_content" />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
        <LinearLayout android:layout_gravity="center" android:orientation="vertical" android:id="@id/layout_load" android:background="@color/common_white_background" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <LinearLayout android:gravity="center" android:id="@id/layout_progressbar" android:layout_width="fill_parent" android:layout_height="fill_parent">
                <ProgressBar android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="20.0dip" android:layout_marginBottom="20.0dip" style="?android:progressBarStyleSmall" />
                <TextView android:textSize="17.0sp" android:textColor="@color/sns_picture_detail" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:text="@string/skin_loading" />
            </LinearLayout>
        </LinearLayout>
        <LinearLayout android:gravity="center" android:orientation="vertical" android:id="@id/layout_appstore_refresh" android:background="@color/common_white_background" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <ImageView android:layout_width="70.0dip" android:layout_height="70.0dip" android:src="@drawable/moji_cloud" />
            <TextView android:textSize="16.0sp" android:textColor="@color/setting_item_title" android:gravity="center" android:id="@id/tv_notify_text" android:paddingTop="10.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginBottom="30.0dip" android:text="@string/sns_notify_click_refresh" />
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>